Welcome to OCS Inventory NG community support, where you can ask questions and receive answers from other members of the community.

Please ask questions only in English or French.

Release 2.11.1 available

The official documentation can be found on http://wiki.ocsinventory-ng.org. Read it before asking your question.

upgraded from 2.2 to 2.12 - apache errors

<!--[if gte mso 9]> <![endif]--><!--[if gte mso 9]> Normal 0 14 false false false IT X-NONE X-NONE <![endif]--><!--[if gte mso 9]> <![endif]--><!--[if gte mso 10]>

<![endif]-->

We

We set

OCS_OPT_DBI_PRINT_ERROR 1

in file /etc/httpd/conf.d/z-ocsinventory-server.conf and restarted apache the we launched an inventory and look in apache error log file for errors

 

/var/log/httpd/error.log

DBD::mysql::db do failed: Table 'ocsweb.softwares' doesn't exist at /usr/local/share/perl5/Apache/Ocsinventory/Server/Inventory/Cache.pm line 65.

DBD::mysql::db do failed: Table 'ocsweb.softwares' doesn't exist at /usr/local/share/perl5/Apache/Ocsinventory/Server/Inventory/Cache.pm line 67.

DBD::mysql::db do failed: Table 'ocsweb.softwares' doesn't exist at /usr/local/share/perl5/Apache/Ocsinventory/Server/Inventory/Update.pm line 76.

DBD::mysql::st execute failed: Table 'ocsweb.groups' doesn't exist at /usr/local/share/perl5/Apache/Ocsinventory/Server/Groups.pm line 60.

DBD::mysql::st execute failed: Table 'ocsweb.groups' doesn't exist at /usr/local/share/perl5/Apache/Ocsinventory/Server/Groups.pm line 60.

in OCS Inventory NG server for Unix by (250 points)

2 Answers

0 votes
I explained : when you want to upgrade, please consider to STOP Apache and run scripts from files/update and set GUI_VERSION, then START Apache and do install.php
by (17.9k points)
0 votes
where can we set GUI_VERSION and which value do we have to use?
by (250 points)
 
Powered by Question2Answer
...